Subject: Re: Submission #1: P-51D Mustang (Hasegawa) part 1
From: "Steve Bamford" <[email-masked]>
To: "Philip Limbert" <[email-masked]>
Date: Fri, 23 Aug 2002 14:55:03 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Philip Limbert 
  To: [email-masked] 
  Sent: Sunday, August 11, 2002 8:20 PM
  Subject: Submission #1: P-51D Mustang (Hasegawa) part 1

  Dear Steve,

  How are you? I have to thank you for the effort you have on ARC. 

  Introduction.

  My name is Philip Limbert. I was born in Surabaya, but now live in Jakarta, Indonesia. Although, I build kits (aircrafts, armors, and cars) since I was 11, an accident has impaled my right hand/arm in 1988, and kind of set me back. Not until I moved to Jakarta in 1998 that I started to take the hobby seriously again. Lately, I start to acquire ship models too. Have not started building it though.

  The P-51D Mustang - 'Lil Butch (Hasegawa) 

  The kit is a deviation from my interest. Before I bought this kit, I build mostly US modern aircraft (jets, helos and cargo in 1/48 and up). I saw this kit in my friend Peter's shop. I think he will contribute some of his models here too. Peter owns a hobby/model shop which I believe the largest and most complete in my country. I was there when a new shipment came in, and I saw this 1/48 Hasegawa kit. I asked him to open the box for me. Once I took a look at the kit, I just fell in love. 

  It took me about a week to finish the kit. The paint job is Tamiya's Silver Leaf, topped with Tamiya's Clear coat. Nothing much to say because I build this kit a while ago.

  <>  

  Sideway View

  <>

  Another Sideway View

  <>

  Viewed from 7

  <>

  Closer look at the cockpit

   

  PS: I have to sent the images one by one, because of connectivity issue.